*  Assembler include file for the iff library 
*  by Christian A. Weber, Zurich/Switzerland            V16.1  01-Dec-88

		XREF	_IFFBase

IFFVERSION:	EQU	16

IFF:	      MACRO
		movea.l	_IFFBase,a6
		jsr	%1(a6)
	      ENDM


*************** L I B R A R Y - O F F S E T S ****************************

OpenIFF:	equ	-30	; (filename)			(A0)
CloseIFF:	equ	-36	; (ifffile)			(A1)
FindChunk:	equ	-42	; (ifffile,chunkname)		(A1,D0)
GetBMHD:	equ	-48	; (ifffile)			(A1)
GetColorTab:	equ	-54	; (ifffile,colortable)		(A1/A0)
DecodePic:	equ	-60	; (ifffile,bitmap)		(A1/A0)
SaveBitMap:	equ	-66	; (name,bmap,ctab,crmd)		(A0-A2,D0)
SaveClip:	equ	-72	; (name,bmap,ctab,crmd,x,y,w,h)	(A0-A2,D0-D4)
IffError:	equ	-78	; ()				()
GetViewModes:	equ	-84	; (ifffile)			(A1)
NewOpenIFF:	equ	-90	; (filename,memtype)		(A0,D0)


*************** F E H L E R - C O D E S **********************************

IFF_BADTASK:		equ	-1	; Fehler-Abfrage von falschem Task!

IFF_CANTOPENFILE:	equ	16	; Datei existiert nicht
IFF_READERROR:		equ	17	; Fehler beim Einlesen der Datei
IFF_NOMEM:		equ	18	; zuwenig Speicher um Datei zu laden
IFF_NOTIFF:		equ	19	; Datei ist kein IFF-File
IFF_WRITEERROR:		equ	20	; Fehler beim schreiben

IFF_NOILBM:		equ	24	; kein ILBM-File
IFF_NOBMHD:		equ	25	; BMHD-Chunk nicht gefunden
IFF_NOBODY:		equ	26	; BODY-Chunk nicht gefunden
IFF_TOOMANYPLANES:	equ	27	; Bild hat mehr Planes als BitMap
IFF_UNKNOWNCOMPRESSION:	equ	28	; Unbekannter Kompressions-Typ

