#include <intuition/simplereq.h>


/*
 *  ReqTest.C - Just calls the Simple Requester to see what it looks like
 */


struct IntuitionBase *IntuitionBase;
struct GfxBase *GfxBase;
struct Window *Window;
struct IntuiMessage *Message;
struct RastPort *RP;

struct NewWindow newWindow = 
	{
	160,12,	320,80, 0,1,
	VANILLAKEY | CLOSEWINDOW | GADGETUP,
	WINDOWCLOSE | WINDOWDRAG | RMBTRAP | SMART_REFRESH | WINDOWDEPTH | NOCAREREFRESH,
	0,NULL,(UBYTE *) "SimpleRequest",
	NULL,NULL,0,0,0,0,WBENCHSCREEN
	};

main()
{

IntuitionBase = (struct IntuitionBase *)OpenLibrary("intuition.library", 0);
GfxBase = (struct GfxBase *)OpenLibrary("graphics.library", 0);

if ((Window = (struct Window *)OpenWindow(&newWindow)) == NULL) exit(100L);
if (Window == 0) 
	{
	CloseLibrary((struct Library *)GfxBase);
	CloseLibrary((struct Library *)IntuitionBase);
	exit(0);
	};

SimpleRequest("Emulating a System Requester here|(ie, no centering of anything)", "Sure you are|I believe you", Window, SR_NOCENTERTEXT|SR_NOCENTERWINDOW);

SimpleRequest("Please insert volume|Workbench|in any drive.", "Retry|Fail|Cancel|Nuke|Die", Window, SR_NODRAG);

SimpleRequest("This is the default style.|Do you like it?", "Yes|No", Window, 0);

SimpleRequest("And this should have Stacked Gadgets.", "Is he right?|Does it really?|Are these stacked?|Sure looks like it!", Window, 0);

SimpleRequest("Try it with SetFont!", "Okay", Window, 0);

CloseWindow(Window);
CloseLibrary((struct Library *)GfxBase);
CloseLibrary((struct Library *)IntuitionBase);
}
